#WARNING: Make sure that you change the capital values with proper ones.
#uncomment the line below when you set a valid administrator password
#set_pass_admin ADMINPASS
#if you have premium members, set a password for them, otherwise delete/comment out the line below
#uncomment the line below when you set a valid private password
#set_pass_private PRIVATEPASS
#uncomment the line below when you set a valid server name
#set_server_name SERVERNAME
#uncomment the line below when you set a valid welcome message
#set_welcome_message WELCOME MESSAGE
#Steam must be running in order to use valve anti cheat
#Also you must use the Steam version of the dedicated server in order to use this option
set_enable_valve_anti_cheat 1
#setting deathmatch (multiplayer_dm) mode
set_mission multiplayer_dm
#setting max players, first one is non-premium member limit, second one is premium member limit
set_max_players 200 200
set_num_bots_voteable 20

set_map multi_scene_1
add_map	quick_battle_scene_3
add_map quick_battle_1
add_map multi_outer_6
add_map random_scene_steppe
add_map multi_scene_2
add_map quick_battle_scene_1
add_map multi_scene_4
add_map random_scene_plain
add_map multi_scene_5
add_map quick_battle_scene_2
add_map multi_scene_6
add_map multi_outer_4
add_map multi_scene_7
add_map multi_outer_3
add_map quick_battle_4
add_map multi_scene_17
add_map multi_scene_19
add_map random_scene_desert
add_map multi_scene_20
add_map multi_outer_5

#adding all kingdoms to both sides just to randomize all of them
#adding less kingdoms will reduce the randomization set (used in set_randomize_factions command)
add_factions fac_kingdom_1 fac_kingdom_1
add_factions fac_kingdom_2 fac_kingdom_2
add_factions fac_kingdom_3 fac_kingdom_3
add_factions fac_kingdom_4 fac_kingdom_4
add_factions fac_kingdom_5 fac_kingdom_5
add_factions fac_kingdom_6 fac_kingdom_6
add_factions fac_kingdom_7 fac_kingdom_7
add_factions fac_kingdom_8 fac_kingdom_8
add_factions fac_kingdom_9 fac_kingdom_9
add_factions fac_kingdom_10 fac_kingdom_10
set_randomize_factions 1
#if the bottleneck is your server's bandwidth, then make sure that you set a correct value for upload limit
set_upload_limit 100000000
#if you are running more than one dedicated server on the same computer, you must give different ports to each of them
set_port 7240
#if you are running the Steam version of the dedicated server, this port must also be set, and same limitations of set_port apply for Steam port
set_steam_port 7241
set_server_log_folder Logs\Deathmatch
set_server_ban_list_file Logs\ban_list.txt
start